## ros-humble-rosidl-generator-cpp 3.1.5

=== debian/changelog ===
ros-humble-rosidl-generator-cpp (3.1.5-2bookworm) bookworm; urgency=high

  * Merge pull request #752 <https://github.com/ros2/rosidl/issues/752> from ros2/mergify/bp/humble/pr-750
  * Fix deprecation warnings for message constants (#750 <https://github.com/ros2/rosidl/issues/750>)
  * Contributors: Emerson Knapp

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 17 Jul 2023 16:00:00 -0000

ros-humble-rosidl-generator-cpp (3.1.4-2bookworm) bookworm; urgency=high

  * Add namespaced ALIAS target to easily consume generated libraries via add_subdirectory (#605 <https://github.com/ros2/rosidl/issues/605>) (#692 <https://github.com/ros2/rosidl/issues/692>)
  * Contributors: mergify[bot]

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 06 Nov 2022 16:00:00 -0000

ros-humble-rosidl-generator-cpp (3.1.3-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 07 Apr 2022 16:00:00 -0000

ros-humble-rosidl-generator-cpp (3.1.2-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 04 Apr 2022 16:00:00 -0000

ros-humble-rosidl-generator-cpp (3.1.1-2bookworm) bookworm; urgency=high

  * Install generated headers to include/${PROJECT_NAME} (#670 <https://github.com/ros2/rosidl/issues/670>)
  * Misc cleanup in the rosidl generator extensions (#662 <https://github.com/ros2/rosidl/issues/662>)
  * Contributors: Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 27 Mar 2022 16:00:00 -0000

ros-humble-rosidl-generator-cpp (3.1.0-2bookworm) bookworm; urgency=high

  * Add missing build_export_depend dependency (#665 <https://github.com/ros2/rosidl/issues/665>)
  * Fix bug where rosidl_runtime_cpp wasn't depended upon (#660 <https://github.com/ros2/rosidl/issues/660>)
  * Contributors: Jorge Perez, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 28 Feb 2022 16:00:00 -0000

ros-humble-rosidl-generator-cpp (3.0.1-2bookworm) bookworm; urgency=high

  * Fix include order for cpplint (#644 <https://github.com/ros2/rosidl/issues/644>)
  * Set CXX standard to 17 (#635 <https://github.com/ros2/rosidl/issues/635>)
  * Contributors: Jacob Perron, Øystein Sture

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 12 Jan 2022 16:00:00 -0000

ros-humble-rosidl-generator-cpp (3.0.0-2bookworm) bookworm; urgency=high

  * Update package maintainers (#624 <https://github.com/ros2/rosidl/issues/624>)
  * Make rosidl packages use FindPython3 instead of FindPythonInterp (#612 <https://github.com/ros2/rosidl/issues/612>)
  * Contributors: Michel Hidalgo, Shane Loretz

 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 04 Nov 2021 16:00:00 -0000

ros-humble-rosidl-generator-cpp (2.5.0-2bookworm) bookworm; urgency=high

  * Support flow style YAML printing (#613 <https://github.com/ros2/rosidl/issues/613>)
  * Revert "Bundle and ensure the exportation of rosidl generated targets" (#611 <https://github.com/ros2/rosidl/issues/611>)
  * Relocate to_yaml() under message namespace (#609 <https://github.com/ros2/rosidl/issues/609>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 09 Aug 2021 16:00:00 -0000

ros-humble-rosidl-generator-cpp (2.4.0-2bookworm) bookworm; urgency=high

  * Bundle and ensure the exportation of rosidl generated targets (#601 <https://github.com/ros2/rosidl/issues/601>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 11 Jul 2021 16:00:00 -0000

ros-humble-rosidl-generator-cpp (2.3.0-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Thu, 10 Jun 2021 16:00:00 -0000

ros-humble-rosidl-generator-cpp (2.2.1-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 05 Apr 2021 16:00:00 -0000

ros-humble-rosidl-generator-cpp (2.2.0-2bookworm) bookworm; urgency=high

  * Expose C++ code generation via rosidl generate CLI (#570 <https://github.com/ros2/rosidl/issues/570>)
  * Contributors: Michel Hidalgo

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 17 Mar 2021 16:00:00 -0000

ros-humble-rosidl-generator-cpp (2.1.0-2bookworm) bookworm; urgency=high

  * Switch to std::allocator_traits. (#564 <https://github.com/ros2/rosidl/issues/564>)
  * Contributors: Chris Lalancette

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 08 Mar 2021 16:00:00 -0000

ros-humble-rosidl-generator-cpp (2.0.3-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 24 Jan 2021 16:00:00 -0000

ros-humble-rosidl-generator-cpp (2.0.2-2bookworm) bookworm; urgency=high

  * Remove unnecessary assert on pointer created with new (#555 <https://github.com/ros2/rosidl/issues/555>)
  * Use ASSERT_TRUE to check for nullptr. (#543 <https://github.com/ros2/rosidl/issues/543>)
  * Update the maintainers of this repository. (#536 <https://github.com/ros2/rosidl/issues/536>)
  * Contributors: Chris Lalancette, Stephen Brawner

 -- Michel Hidalgo <michel@ekumenlabs.com>  Mon, 07 Dec 2020 16:00:00 -0000

ros-humble-rosidl-generator-cpp (2.0.1-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 27 Sep 2020 16:00:00 -0000

ros-humble-rosidl-generator-cpp (2.0.0-2bookworm) bookworm; urgency=high

  * Add to_yaml() function for C++ messages (#527 <https://github.com/ros2/rosidl/issues/527>)
  * Contributors: Devin Bonnie, Dirk Thomas

 -- Michel Hidalgo <michel@ekumenlabs.com>  Wed, 23 Sep 2020 16:00:00 -0000

ros-humble-rosidl-generator-cpp (1.1.0-2bookworm) bookworm; urgency=high

  * Add function for getting a types fully qualified name (#514 <https://github.com/ros2/rosidl/issues/514>)
  * Declaring is_message in namespace rosidl_generator_traits (#512 <https://github.com/ros2/rosidl/issues/512>)
  * Contributors: Jacob Perron, Sebastian Höffner

 -- Michel Hidalgo <michel@ekumenlabs.com>  Sun, 16 Aug 2020 16:00:00 -0000

ros-humble-rosidl-generator-cpp (1.0.1-2bookworm) bookworm; urgency=high



 -- Michel Hidalgo <michel@ekumenlabs.com>  Tue, 02 Jun 2020 16:00:00 -0000


