=== debian/control ===
Source: ros-humble-rosidl-generator-cpp
Section: misc
Priority: optional
Maintainer: Michel Hidalgo <michel@ekumenlabs.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ament-cmake-gtest <!nocheck>, ros-humble-ament-lint-auto <!nocheck>, ros-humble-ament-lint-common <!nocheck>, ros-humble-rosidl-cmake <!nocheck>, ros-humble-rosidl-runtime-c <!nocheck>, ros-humble-rosidl-runtime-cpp <!nocheck>, ros-humble-test-interface-files <!nocheck>, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rosidl-generator-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-humble-ament-cmake-core, ros-humble-ament-index-python, ros-humble-rosidl-cli, ros-humble-rosidl-cmake, ros-humble-rosidl-generator-c, ros-humble-rosidl-parser, ros-humble-rosidl-runtime-cpp, ros-humble-ros-workspace
Description: Generate the ROS interfaces in C++.
